Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_UDP_Acceptor Class Reference

`#include <UDP.h>`

Inheritance diagram for TAO_AV_UDP_Acceptor:

[legend]
Collaboration diagram for TAO_AV_UDP_Acceptor:

[legend]
List of all members.

## Public Methods
| TAO_AV_UDP_Acceptor (void)
virtual | ~TAO_AV_UDP_Acceptor (void)
virtual int | open (TAO_Base_StreamEndPoint *endpoint, TAO_AV_Core *av_core, TAO_FlowSpec_Entry *entry, TAO_AV_Flow_Protocol_Factory *factory, TAO_AV_Core::Flow_Component flow_comp=TAO_AV_Core::TAO_AV_DATA)
virtual int | open_default (TAO_Base_StreamEndPoint *endpoint, TAO_AV_Core *av_core, TAO_FlowSpec_Entry *entry, TAO_AV_Flow_Protocol_Factory *factory, TAO_AV_Core::Flow_Component flow_comp=TAO_AV_Core::TAO_AV_DATA)
virtual int | open_i (ACE_INET_Addr *address, int is_default_open)
virtual int | close (void)
virtual int | activate_svc_handler (TAO_AV_Flow_Handler *handler)
## Protected Attributes
ACE_INET_Addr * | address_
ACE_INET_Addr * | control_inet_address_
TAO_Base_StreamEndPoint * | endpoint_
TAO_FlowSpec_Entry * | entry_
TAO_AV_Flow_Protocol_Factory * | flow_protocol_factory_
TAO_AV_Core::Flow_Component | flow_component_

## Constructor & Destructor Documentation

TAO_AV_UDP_Acceptor::TAO_AV_UDP_Acceptor | ( | void |  | ) |

TAO_AV_UDP_Acceptor::~TAO_AV_UDP_Acceptor | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_AV_UDP_Acceptor::activate_svc_handler | ( | TAO_AV_Flow_Handler * | handler | ) | `[virtual]`

int TAO_AV_UDP_Acceptor::close | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_AV_Acceptor.

int TAO_AV_UDP_Acceptor::open | ( | TAO_Base_StreamEndPoint * | endpoint,
|  | TAO_AV_Core * | av_core,
|  | TAO_FlowSpec_Entry * | entry,
|  | TAO_AV_Flow_Protocol_Factory * | factory,
|  | TAO_AV_Core::Flow_Component | flow_comp = TAO_AV_Core::TAO_AV_DATA
| ) | `[virtual]`

| Reimplemented from TAO_AV_Acceptor.

int TAO_AV_UDP_Acceptor::open_default | ( | TAO_Base_StreamEndPoint * | endpoint,
|  | TAO_AV_Core * | av_core,
|  | TAO_FlowSpec_Entry * | entry,
|  | TAO_AV_Flow_Protocol_Factory * | factory,
|  | TAO_AV_Core::Flow_Component | flow_comp = TAO_AV_Core::TAO_AV_DATA
| ) | `[virtual]`

| Reimplemented from TAO_AV_Acceptor.

int TAO_AV_UDP_Acceptor::open_i | ( | ACE_INET_Addr * | inet_addr,
|  | int | is_default_addr
| ) | `[virtual]`

## Member Data Documentation

ACE_INET_Addr* TAO_AV_UDP_Acceptor::address_`[protected]`

| Reimplemented from TAO_AV_Acceptor.

ACE_INET_Addr* TAO_AV_UDP_Acceptor::control_inet_address_`[protected]`

TAO_Base_StreamEndPoint* TAO_AV_UDP_Acceptor::endpoint_`[protected]`

TAO_FlowSpec_Entry* TAO_AV_UDP_Acceptor::entry_`[protected]`

TAO_AV_Core::Flow_Component TAO_AV_UDP_Acceptor::flow_component_`[protected]`

TAO_AV_Flow_Protocol_Factory* TAO_AV_UDP_Acceptor::flow_protocol_factory_`[protected]`

The documentation for this class was generated from the following files:

- UDP.h
- UDP.cpp